#include "error_info.h"

#include <util/system/type_name.h>
#include <util/stream/output.h>

namespace NHttp {
void IErrorInfo::Print(IOutputStream& out) const {
    out << "(" << TypeName(*this) << ")";
}
}

template <>
void Out<NHttp::IErrorInfo>(IOutputStream& out, const NHttp::IErrorInfo& errorInfo) {
    errorInfo.Print(out);
}
